#include <iostream>
#include <fstream>
#include <math.h>
#include <iomanip>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	int x, y;
	double z;
	input.open("tamgiac.inp");
	input >> x >> y;
	input.close();

	output.open("tamgiac.out");
	output << fixed << setprecision(2) << sqrt(x * x - y * y);
	output.close();
	return 0;
}